ur_rna.GUITester

## Class RuntimeTools

- java.lang.Object
- - ur_rna.GUITester.RuntimeTools

-     public abstract class RuntimeTools
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RuntimeTools.ActionArgumentException` Thrown if the number or type of arguments is invalid for the given action.
    `static class` | `RuntimeTools.ActionException` Base class for exceptions thrown from `doAction`
    `static class` | `RuntimeTools.UnsupportedActionException` Thrown if the action is unknown or not implemented.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RuntimeTools()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `expectArgs(java.lang.String action, java.lang.Object[] args, int minCount, int maxCount)`
    `static void` | `expectArgType(java.lang.String action, java.lang.Object[] args, int ordinal, java.lang.String argName, boolean allowNull, java.lang.Class... expected)`
    `static void` | `getInvalidArgMessage(java.lang.String action, java.lang.Object[] args, int ordinal, java.lang.String argName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RuntimeTools

          public RuntimeTools()

  - ### Method Detail

    - #### expectArgs

          public static void expectArgs(java.lang.String action,
                                        java.lang.Object[] args,
                                        int minCount,
                                        int maxCount)
                                 throws RuntimeTools.ActionArgumentException

      Throws:
        `RuntimeTools.ActionArgumentException`

    - #### expectArgType

          public static void expectArgType(java.lang.String action,
                                           java.lang.Object[] args,
                                           int ordinal,
                                           java.lang.String argName,
                                           boolean allowNull,
                                           java.lang.Class... expected)
                                    throws RuntimeTools.ActionArgumentException

      Throws:
        `RuntimeTools.ActionArgumentException`

    - #### getInvalidArgMessage

          public static void getInvalidArgMessage(java.lang.String action,
                                                  java.lang.Object[] args,
                                                  int ordinal,
                                                  java.lang.String argName)
                                           throws RuntimeTools.ActionArgumentException

      Throws:
        `RuntimeTools.ActionArgumentException`